#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - asterisk-odbc installation
#
# Creation   :  2014-09-23 holbru
# Last update:  $Id: install.sh 7768 2014-09-29 22:13:07Z holbru $
#
# Copyright (c) 2014-2015 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=asterisk-odbc

# ---------------------------------------------------------------------------
# config file
# ---------------------------------------------------------------------------
sample_path='/usr/share/asterisk/configs'
config_path='/etc/asterisk'
config_file='cdr_adaptive_odbc cdr_odbc cel_odbc func_odbc res_odbc'

for _conf in ${config_file}
do
    if [ ! -f "${config_path}/${_conf}.conf" ]
    then
        cp ${sample_path}/${_conf}.conf.sample ${config_path}/${_conf}.conf
        chmod 0640 ${config_path}/${_conf}.conf
    fi
done

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
